# libdar::string_file Class Reference
[Private]

class string_file emulates a generic_file frome a std::string More...

`#include <string_file.hpp>`

Inherits libdar::generic_file.

List of all members.

## Public Member Functions
| string_file (user_interaction &dialog, const std::string &contents)
| constructor
bool | skip (const infinint &pos)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
bool | skip_relative (S_I x)
| skip relatively to the current position
infinint | get_position ()
| get the current read/write position

## Detailed Description

class string_file emulates a generic_file frome a std::string

Definition at line 45 of file string_file.hpp.

The documentation for this class was generated from the following file:

- string_file.hpp